searchNodes=[{"doc":"API calls for all endpoints tagged Assets.","ref":"GoogleApi.Poly.V1.Api.Assets.html","title":"GoogleApi.Poly.V1.Api.Assets","type":"module"},{"doc":"Returns detailed information about an asset given its name. PRIVATE assets are returned only if the currently authenticated user (via OAuth token) is the author of the asset. Parameters connection (type: GoogleApi.Poly.V1.Connection.t) - Connection to server name (type: String.t) - Required. An asset&#39;s name in the form assets/{ASSET_ID}. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Poly.V1.Model.Asset{}} on success {:error, info} on failure","ref":"GoogleApi.Poly.V1.Api.Assets.html#poly_assets_get/4","title":"GoogleApi.Poly.V1.Api.Assets.poly_assets_get/4","type":"function"},{"doc":"Lists all public, remixable assets. These are assets with an access level of PUBLIC and published under the CC-By license. Parameters connection (type: GoogleApi.Poly.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :category (type: String.t) - Filter assets based on the specified category. Supported values are: animals, architecture, art, food, nature, objects, people, scenes, technology, and transport. :curated (type: boolean()) - Return only assets that have been curated by the Poly team. :format (type: String.t) - Return only assets with the matching format. Acceptable values are: BLOCKS, FBX, GLTF, GLTF2, OBJ, TILT. :keywords (type: String.t) - One or more search terms to be matched against all text that Poly has indexed for assets, which includes display_name, description, and tags. Multiple keywords should be separated by spaces. :maxComplexity (type: String.t) - Returns assets that are of the specified complexity or less. Defaults to COMPLEX. For example, a request for MEDIUM assets also includes SIMPLE assets. :orderBy (type: String.t) - Specifies an ordering for assets. Acceptable values are: BEST, NEWEST, OLDEST. Defaults to BEST, which ranks assets based on a combination of popularity and other features. :pageSize (type: integer()) - The maximum number of assets to be returned. This value must be between 1 and 100. Defaults to 20. :pageToken (type: String.t) - Specifies a continuation token from a previous search whose results were split into multiple pages. To get the next page, submit the same request specifying the value from next_page_token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Poly.V1.Model.ListAssetsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Poly.V1.Api.Assets.html#poly_assets_list/3","title":"GoogleApi.Poly.V1.Api.Assets.poly_assets_list/3","type":"function"},{"doc":"API calls for all endpoints tagged Users.","ref":"GoogleApi.Poly.V1.Api.Users.html","title":"GoogleApi.Poly.V1.Api.Users","type":"module"},{"doc":"Lists assets authored by the given user. Only the value &#39;me&#39;, representing the currently-authenticated user, is supported. May include assets with an access level of PRIVATE or UNLISTED and assets which are All Rights Reserved for the currently-authenticated user. Parameters connection (type: GoogleApi.Poly.V1.Connection.t) - Connection to server name (type: String.t) - A valid user id. Currently, only the special value &#39;me&#39;, representing the currently-authenticated user is supported. To use &#39;me&#39;, you must pass an OAuth token with the request. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :format (type: String.t) - Return only assets with the matching format. Acceptable values are: BLOCKS, FBX, GLTF, GLTF2, OBJ, and TILT. :orderBy (type: String.t) - Specifies an ordering for assets. Acceptable values are: BEST, NEWEST, OLDEST. Defaults to BEST, which ranks assets based on a combination of popularity and other features. :pageSize (type: integer()) - The maximum number of assets to be returned. This value must be between 1 and 100. Defaults to 20. :pageToken (type: String.t) - Specifies a continuation token from a previous search whose results were split into multiple pages. To get the next page, submit the same request specifying the value from next_page_token. :visibility (type: String.t) - The visibility of the assets to be returned. Defaults to VISIBILITY_UNSPECIFIED which returns all assets. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Poly.V1.Model.ListUserAssetsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Poly.V1.Api.Users.html#poly_users_assets_list/4","title":"GoogleApi.Poly.V1.Api.Users.poly_users_assets_list/4","type":"function"},{"doc":"Lists assets that the user has liked. Only the value &#39;me&#39;, representing the currently-authenticated user, is supported. May include assets with an access level of UNLISTED. Parameters connection (type: GoogleApi.Poly.V1.Connection.t) - Connection to server name (type: String.t) - A valid user id. Currently, only the special value &#39;me&#39;, representing the currently-authenticated user is supported. To use &#39;me&#39;, you must pass an OAuth token with the request. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :format (type: String.t) - Return only assets with the matching format. Acceptable values are: BLOCKS, FBX, GLTF, GLTF2, OBJ, TILT. :orderBy (type: String.t) - Specifies an ordering for assets. Acceptable values are: BEST, NEWEST, OLDEST, &#39;LIKED_TIME&#39;. Defaults to LIKED_TIME, which ranks assets based on how recently they were liked. :pageSize (type: integer()) - The maximum number of assets to be returned. This value must be between 1 and 100. Defaults to 20. :pageToken (type: String.t) - Specifies a continuation token from a previous search whose results were split into multiple pages. To get the next page, submit the same request specifying the value from next_page_token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Poly.V1.Model.ListLikedAssetsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Poly.V1.Api.Users.html#poly_users_likedassets_list/4","title":"GoogleApi.Poly.V1.Api.Users.poly_users_likedassets_list/4","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.Poly.V1.","ref":"GoogleApi.Poly.V1.Connection.html","title":"GoogleApi.Poly.V1.Connection","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#delete/3","title":"GoogleApi.Poly.V1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#delete!/3","title":"GoogleApi.Poly.V1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.Poly.V1.Connection.html#execute/2","title":"GoogleApi.Poly.V1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#get/3","title":"GoogleApi.Poly.V1.Connection.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#get!/3","title":"GoogleApi.Poly.V1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#head/3","title":"GoogleApi.Poly.V1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#head!/3","title":"GoogleApi.Poly.V1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"GoogleApi.Poly.V1.Connection.html#new/0","title":"GoogleApi.Poly.V1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client","ref":"GoogleApi.Poly.V1.Connection.html#new/1","title":"GoogleApi.Poly.V1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#options/3","title":"GoogleApi.Poly.V1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#options!/3","title":"GoogleApi.Poly.V1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#patch/4","title":"GoogleApi.Poly.V1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#patch!/4","title":"GoogleApi.Poly.V1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#post/4","title":"GoogleApi.Poly.V1.Connection.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#post!/4","title":"GoogleApi.Poly.V1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#put/4","title":"GoogleApi.Poly.V1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#put!/4","title":"GoogleApi.Poly.V1.Connection.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.Poly.V1.Connection.html#request/2","title":"GoogleApi.Poly.V1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"GoogleApi.Poly.V1.Connection.html#request!/2","title":"GoogleApi.Poly.V1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#trace/3","title":"GoogleApi.Poly.V1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Poly.V1.Connection.html#trace!/3","title":"GoogleApi.Poly.V1.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Connection.html#t:option/0","title":"GoogleApi.Poly.V1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.Poly.V1.Connection.html#t:t/0","title":"GoogleApi.Poly.V1.Connection.t/0","type":"type"},{"doc":"Represents and describes an asset in the Poly library. An asset is a 3D model or scene created using Tilt Brush, Blocks, or any 3D program that produces a file that can be upload to Poly. Attributes authorName (type: String.t, default: nil) - The author&#39;s publicly visible name. Use this name when giving credit to the author. For more information, see Licensing. createTime (type: DateTime.t, default: nil) - For published assets, the time when the asset was published. For unpublished assets, the time when the asset was created. description (type: String.t, default: nil) - The human-readable description, set by the asset&#39;s author. displayName (type: String.t, default: nil) - The human-readable name, set by the asset&#39;s author. formats (type: list(GoogleApi.Poly.V1.Model.Format.t), default: nil) - A list of Formats where each format describes one representation of the asset. isCurated (type: boolean(), default: nil) - Whether this asset has been curated by the Poly team. license (type: String.t, default: nil) - The license under which the author has made the asset available for use, if any. metadata (type: String.t, default: nil) - Application-defined opaque metadata for this asset. This field is only returned when querying for the signed-in user&#39;s own assets, not for public assets. This string is limited to 1K chars. It is up to the creator of the asset to define the format for this string (for example, JSON). name (type: String.t, default: nil) - The unique identifier for the asset in the form: assets/{ASSET_ID}. presentationParams (type: GoogleApi.Poly.V1.Model.PresentationParams.t, default: nil) - Hints for displaying the asset. Note that these parameters are not immutable; the author of an asset may change them post-publication. remixInfo (type: GoogleApi.Poly.V1.Model.RemixInfo.t, default: nil) - The remix info for the asset. thumbnail (type: GoogleApi.Poly.V1.Model.File.t, default: nil) - The thumbnail image for the asset. updateTime (type: DateTime.t, default: nil) - The time when the asset was last modified. For published assets, whose contents are immutable, the update time changes only when metadata properties, such as visibility, are updated. visibility (type: String.t, default: nil) - The visibility of the asset and who can access it.","ref":"GoogleApi.Poly.V1.Model.Asset.html","title":"GoogleApi.Poly.V1.Model.Asset","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.Asset.html#decode/2","title":"GoogleApi.Poly.V1.Model.Asset.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.Asset.html#t:t/0","title":"GoogleApi.Poly.V1.Model.Asset.t/0","type":"type"},{"doc":"A message generated by the asset import process. Attributes code (type: String.t, default: nil) - The code associated with this message. filePath (type: String.t, default: nil) - An optional file path. Only present for those error codes that specify it. imageError (type: GoogleApi.Poly.V1.Model.ImageError.t, default: nil) - An optional image error. Only present for INVALID_IMAGE_FILE. objParseError (type: GoogleApi.Poly.V1.Model.ObjParseError.t, default: nil) - An optional OBJ parse error. Only present for OBJ_PARSE_ERROR.","ref":"GoogleApi.Poly.V1.Model.AssetImportMessage.html","title":"GoogleApi.Poly.V1.Model.AssetImportMessage","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.AssetImportMessage.html#decode/2","title":"GoogleApi.Poly.V1.Model.AssetImportMessage.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.AssetImportMessage.html#t:t/0","title":"GoogleApi.Poly.V1.Model.AssetImportMessage.t/0","type":"type"},{"doc":"Represents a file in Poly, which can be a root, resource, or thumbnail file. Attributes contentType (type: String.t, default: nil) - The MIME content-type, such as image/png. For more information, see MIME types. relativePath (type: String.t, default: nil) - The path of the resource file relative to the root file. For root or thumbnail files, this is just the filename. url (type: String.t, default: nil) - The URL where the file data can be retrieved.","ref":"GoogleApi.Poly.V1.Model.File.html","title":"GoogleApi.Poly.V1.Model.File","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.File.html#decode/2","title":"GoogleApi.Poly.V1.Model.File.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.File.html#t:t/0","title":"GoogleApi.Poly.V1.Model.File.t/0","type":"type"},{"doc":"The same asset can be represented in different formats, for example, a WaveFront .obj file with its corresponding .mtl file or a Khronos glTF file with its corresponding .glb binary data. A format refers to a specific representation of an asset and contains all information needed to retrieve and describe this representation. Attributes formatComplexity (type: GoogleApi.Poly.V1.Model.FormatComplexity.t, default: nil) - Complexity stats about this representation of the asset. formatType (type: String.t, default: nil) - A short string that identifies the format type of this representation. Possible values are: FBX, GLTF, GLTF2, OBJ, and TILT. resources (type: list(GoogleApi.Poly.V1.Model.File.t), default: nil) - A list of dependencies of the root element. May include, but is not limited to, materials, textures, and shader programs. root (type: GoogleApi.Poly.V1.Model.File.t, default: nil) - The root of the file hierarchy. This will always be populated. For some format_types - such as TILT, which are self-contained - this is all of the data. Other types - such as OBJ - often reference other data elements. These are contained in the resources field.","ref":"GoogleApi.Poly.V1.Model.Format.html","title":"GoogleApi.Poly.V1.Model.Format","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.Format.html#decode/2","title":"GoogleApi.Poly.V1.Model.Format.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.Format.html#t:t/0","title":"GoogleApi.Poly.V1.Model.Format.t/0","type":"type"},{"doc":"Information on the complexity of this Format. Attributes lodHint (type: integer(), default: nil) - A non-negative integer that represents the level of detail (LOD) of this format relative to other formats of the same asset with the same format_type. This hint allows you to sort formats from the most-detailed (0) to least-detailed (integers greater than 0). triangleCount (type: String.t, default: nil) - The estimated number of triangles.","ref":"GoogleApi.Poly.V1.Model.FormatComplexity.html","title":"GoogleApi.Poly.V1.Model.FormatComplexity","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.FormatComplexity.html#decode/2","title":"GoogleApi.Poly.V1.Model.FormatComplexity.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.FormatComplexity.html#t:t/0","title":"GoogleApi.Poly.V1.Model.FormatComplexity.t/0","type":"type"},{"doc":"A message resulting from reading an image file. Attributes code (type: String.t, default: nil) - The type of image error encountered. Optional for older image errors. filePath (type: String.t, default: nil) - The file path in the import of the image that was rejected.","ref":"GoogleApi.Poly.V1.Model.ImageError.html","title":"GoogleApi.Poly.V1.Model.ImageError","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.ImageError.html#decode/2","title":"GoogleApi.Poly.V1.Model.ImageError.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.ImageError.html#t:t/0","title":"GoogleApi.Poly.V1.Model.ImageError.t/0","type":"type"},{"doc":"A response message from a request to list. Attributes assets (type: list(GoogleApi.Poly.V1.Model.Asset.t), default: nil) - A list of assets that match the criteria specified in the request. nextPageToken (type: String.t, default: nil) - The continuation token for retrieving the next page. If empty, indicates that there are no more pages. To get the next page, submit the same request specifying this value as the page_token. totalSize (type: integer(), default: nil) - The total number of assets in the list, without pagination.","ref":"GoogleApi.Poly.V1.Model.ListAssetsResponse.html","title":"GoogleApi.Poly.V1.Model.ListAssetsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.ListAssetsResponse.html#decode/2","title":"GoogleApi.Poly.V1.Model.ListAssetsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.ListAssetsResponse.html#t:t/0","title":"GoogleApi.Poly.V1.Model.ListAssetsResponse.t/0","type":"type"},{"doc":"A response message from a request to list. Attributes assets (type: list(GoogleApi.Poly.V1.Model.Asset.t), default: nil) - A list of assets that match the criteria specified in the request. nextPageToken (type: String.t, default: nil) - The continuation token for retrieving the next page. If empty, indicates that there are no more pages. To get the next page, submit the same request specifying this value as the page_token. totalSize (type: integer(), default: nil) - The total number of assets in the list, without pagination.","ref":"GoogleApi.Poly.V1.Model.ListLikedAssetsResponse.html","title":"GoogleApi.Poly.V1.Model.ListLikedAssetsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.ListLikedAssetsResponse.html#decode/2","title":"GoogleApi.Poly.V1.Model.ListLikedAssetsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.ListLikedAssetsResponse.html#t:t/0","title":"GoogleApi.Poly.V1.Model.ListLikedAssetsResponse.t/0","type":"type"},{"doc":"A response message from a request to list. Attributes nextPageToken (type: String.t, default: nil) - The continuation token for retrieving the next page. If empty, indicates that there are no more pages. To get the next page, submit the same request specifying this value as the page_token. totalSize (type: integer(), default: nil) - The total number of assets in the list, without pagination. userAssets (type: list(GoogleApi.Poly.V1.Model.UserAsset.t), default: nil) - A list of UserAssets matching the request.","ref":"GoogleApi.Poly.V1.Model.ListUserAssetsResponse.html","title":"GoogleApi.Poly.V1.Model.ListUserAssetsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.ListUserAssetsResponse.html#decode/2","title":"GoogleApi.Poly.V1.Model.ListUserAssetsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.ListUserAssetsResponse.html#t:t/0","title":"GoogleApi.Poly.V1.Model.ListUserAssetsResponse.t/0","type":"type"},{"doc":"Details of an error resulting from parsing an OBJ file Attributes code (type: String.t, default: nil) - The type of problem found (required). endIndex (type: integer(), default: nil) - The ending character index at which the problem was found. filePath (type: String.t, default: nil) - The file path in which the problem was found. line (type: String.t, default: nil) - The text of the line. Note that this may be truncated if the line was very long. This may not include the error if it occurs after line truncation. lineNumber (type: integer(), default: nil) - Line number at which the problem was found. startIndex (type: integer(), default: nil) - The starting character index at which the problem was found.","ref":"GoogleApi.Poly.V1.Model.ObjParseError.html","title":"GoogleApi.Poly.V1.Model.ObjParseError","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.ObjParseError.html#decode/2","title":"GoogleApi.Poly.V1.Model.ObjParseError.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.ObjParseError.html#t:t/0","title":"GoogleApi.Poly.V1.Model.ObjParseError.t/0","type":"type"},{"doc":"Hints for displaying the asset, based on information available when the asset was uploaded. Attributes backgroundColor (type: String.t, default: nil) - A background color which could be used for displaying the 3D asset in a &#39;thumbnail&#39; or &#39;palette&#39; style view. Authors have the option to set this background color when publishing or editing their asset. This is represented as a six-digit hexademical triplet specifying the RGB components of the background color, e.g. #FF0000 for Red. colorSpace (type: String.t, default: nil) - The materials&#39; diffuse/albedo color. This does not apply to vertex colors or texture maps. orientingRotation (type: GoogleApi.Poly.V1.Model.Quaternion.t, default: nil) - A rotation that should be applied to the object root to make it upright. More precisely, this quaternion transforms from &quot;object space&quot; (the space in which the object is defined) to &quot;presentation space&quot;, a coordinate system where +Y is up, +X is right, -Z is forward. For example, if the object is the Eiffel Tower, in its local coordinate system the object might be laid out such that the base of the tower is on the YZ plane and the tip of the tower is towards positive X. In this case this quaternion would specify a rotation (of 90 degrees about the Z axis) such that in the presentation space the base of the tower is aligned with the XZ plane, and the tip of the tower lies towards +Y. This rotation is unrelated to the object&#39;s pose in the web preview, which is just a camera position setting and is not reflected in this rotation. Please note: this is applicable only to the gLTF.","ref":"GoogleApi.Poly.V1.Model.PresentationParams.html","title":"GoogleApi.Poly.V1.Model.PresentationParams","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.PresentationParams.html#decode/2","title":"GoogleApi.Poly.V1.Model.PresentationParams.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.PresentationParams.html#t:t/0","title":"GoogleApi.Poly.V1.Model.PresentationParams.t/0","type":"type"},{"doc":"A Quaternion. Please note: if in the response you see &quot;w: 1&quot; and nothing else this is the default value of [0, 0, 0, 1] where x,y, and z are 0. Attributes w (type: float(), default: nil) - The scalar component. x (type: float(), default: nil) - The x component. y (type: float(), default: nil) - The y component. z (type: float(), default: nil) - The z component.","ref":"GoogleApi.Poly.V1.Model.Quaternion.html","title":"GoogleApi.Poly.V1.Model.Quaternion","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.Quaternion.html#decode/2","title":"GoogleApi.Poly.V1.Model.Quaternion.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.Quaternion.html#t:t/0","title":"GoogleApi.Poly.V1.Model.Quaternion.t/0","type":"type"},{"doc":"Info about the sources of this asset (i.e. assets that were remixed to create this asset). Attributes sourceAsset (type: list(String.t), default: nil) - Resource ids for the sources of this remix, of the form: assets/{ASSET_ID}","ref":"GoogleApi.Poly.V1.Model.RemixInfo.html","title":"GoogleApi.Poly.V1.Model.RemixInfo","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.RemixInfo.html#decode/2","title":"GoogleApi.Poly.V1.Model.RemixInfo.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.RemixInfo.html#t:t/0","title":"GoogleApi.Poly.V1.Model.RemixInfo.t/0","type":"type"},{"doc":"A response message from a request to startImport. This is returned in the response field of the Operation. Attributes assetId (type: String.t, default: nil) - The id of newly created asset. If this is empty when the operation is complete it means the import failed. Please refer to the assetImportMessages field to understand what went wrong. assetImportId (type: String.t, default: nil) - The id of the asset import. assetImportMessages (type: list(GoogleApi.Poly.V1.Model.AssetImportMessage.t), default: nil) - The message from the asset import. This will contain any warnings (or - in the case of failure - errors) that occurred during import. publishUrl (type: String.t, default: nil) - The publish URL for the asset.","ref":"GoogleApi.Poly.V1.Model.StartAssetImportResponse.html","title":"GoogleApi.Poly.V1.Model.StartAssetImportResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.StartAssetImportResponse.html#decode/2","title":"GoogleApi.Poly.V1.Model.StartAssetImportResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.StartAssetImportResponse.html#t:t/0","title":"GoogleApi.Poly.V1.Model.StartAssetImportResponse.t/0","type":"type"},{"doc":"Data about the user&#39;s asset. Attributes asset (type: GoogleApi.Poly.V1.Model.Asset.t, default: nil) - An Asset.","ref":"GoogleApi.Poly.V1.Model.UserAsset.html","title":"GoogleApi.Poly.V1.Model.UserAsset","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Poly.V1.Model.UserAsset.html#decode/2","title":"GoogleApi.Poly.V1.Model.UserAsset.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Poly.V1.Model.UserAsset.html#t:t/0","title":"GoogleApi.Poly.V1.Model.UserAsset.t/0","type":"type"}]